/* ========================================
 *  PurestConsole3Channel - PurestConsole3Channel.h
 *  Copyright (c) airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "PurestConsole3Channel.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::PurestConsole3Channel {

PurestConsole3Channel::PurestConsole3Channel()
{
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int PurestConsole3Channel::getParameterCount() const
{
	return kNumParameters;
}

void PurestConsole3Channel::setParameter(int /*index*/, float /*value*/) {
}

float PurestConsole3Channel::getParameter(int /*index*/) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void PurestConsole3Channel::getParameterName(int /*index*/, char */*text*/) {
}

void PurestConsole3Channel::getParameterDisplay(int /*index*/, char */*text*/) {
}

void PurestConsole3Channel::getParameterLabel(int /*index*/, char */*text*/) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
